fluidPage {shiny} | R Documentation

## Create a page with fluid layout

### Description

Functions for creating fluid page layouts. A fluid page layout consists of rows which in turn include columns. Rows exist for the purpose of making sure their elements appear on the same line (if the browser has adequate width). Columns exist for the purpose of defining how much horizontal space within a 12-unit wide grid it's elements should occupy. Fluid pages scale their components in realtime to fill all available browser width.

### Usage

    fluidPage(..., title = NULL, responsive = NULL, theme = NULL)

    fluidRow(...)

### Arguments

`...` | Elements to include within the page
`title` | The browser window title (defaults to the host URL of the page). Can also be set as a side effect of the `titlePanel` function.
`responsive` | This option is deprecated; it is no longer optional with Bootstrap 3.
`theme` | Alternative Bootstrap stylesheet (normally a css file within the www directory). For example, to use the theme located at `www/bootstrap.css` you would use `theme = "bootstrap.css"`.

### Details

To create a fluid page use the `fluidPage` function and include instances of `fluidRow` and `column` within it. As an alternative to low-level row and column functions you can also use higher-level layout functions like `sidebarLayout`.

### Value

A UI defintion that can be passed to the shinyUI function.

### Note

See the Shiny-Application-Layout-Guide for additional details on laying out fluid pages.

### See Also

`column`, `sidebarLayout`

### Examples

    ## Only run examples in interactive R sessions
    if (interactive()) {

    # Example of UI with fluidPage
    ui <- fluidPage(

      # Application title
      titlePanel("Hello Shiny!"),

      sidebarLayout(

        # Sidebar with a slider input
        sidebarPanel(
          sliderInput("obs",
                      "Number of observations:",
                      min = 0,
                      max = 1000,
                      value = 500)
        ),

        # Show a plot of the generated distribution
        mainPanel(
          plotOutput("distPlot")
        )
      )
    )

    # Server logic
    server <- function(input, output) {
      output$distPlot <- renderPlot({
        hist(rnorm(input$obs))
      })
    }

    # Complete app with UI and server components
    shinyApp(ui, server)

    # UI demonstrating column layouts
    ui <- fluidPage(
      title = "Hello Shiny!",
      fluidRow(
        column(width = 4,
          "4"
        ),
        column(width = 3, offset = 2,
          "3 offset 2"
        )
      )
    )

    shinyApp(ui, server = function(input, output) { })
    }

[Package shiny version 1.0.5 Index]